Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.util
Class QName

    java.lang.Object
      |
      +--net.xfra.qizxopen.util.QName

public final class QName
extends java.lang.Object

Representation of a Qualified Name: namespace URI + localName.

There is no notion of prefix here.

A QName has a unique representation: comparison can be done with ==

Field Summary
`static QName` | `XML_BASE`
`static QName` | `XML_LANG`
`static QName` | `XML_SPACE`
`static QName` | `XSI_NIL`
`static QName` | `XSI_NO_NAMESPACE_SCHEMA_LOCATION`
`static QName` | `XSI_SCHEMA_LOCATION`
`static QName` | `XSI_TYPE`

Method Summary
`int` | `compareTo(QName other)`
`boolean` | `equals(java.lang.Object other)`
`static QName` | `get(Namespace namespace, java.lang.String localName)`
`static QName` | `get(java.lang.String localName)`
`static QName` | `get(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getLocalName()`
`Namespace` | `getNamespace()`
`java.lang.String` | `getURI()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_LANG

    public static QName XML_LANG

### XML_SPACE

    public static QName XML_SPACE

### XML_BASE

    public static QName XML_BASE

### XSI_TYPE

    public static QName XSI_TYPE

### XSI_NIL

    public static QName XSI_NIL

### XSI_SCHEMA_LOCATION

    public static QName XSI_SCHEMA_LOCATION

### XSI_NO_NAMESPACE_SCHEMA_LOCATION

    public static QName XSI_NO_NAMESPACE_SCHEMA_LOCATION

Method Detail

### get

    public static QName get(java.lang.String localName)

### get

    public static QName get(java.lang.String namespaceURI,
                            java.lang.String localName)

### get

    public static QName get(Namespace namespace,
                            java.lang.String localName)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getNamespace

    public Namespace getNamespace()

### getURI

    public java.lang.String getURI()

### getLocalName

    public java.lang.String getLocalName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(QName other)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD